<?php  
session_start();
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	} 

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	 $eve = "select * from res_countrydocument_detail  group by countrymid";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 	
				$cddid=$rt['cddid'];
				$countrymid=$rt['countrymid'];
				$pidedit='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='countrydocumentedit.php?id=".$rt['countrymid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
				
				$piddelete="<a href='countrydocumentdelete.php?id=".$rt['countrymid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";
					}				
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				
				
				$documentname='';
				 $eve2 = "select * from res_countrydocument_detail where countrymid=$countrymid";
				$re2 = mysqli_query($conn, $eve2);
				$countryname='';
				if(mysqli_num_rows($re2) > 0)
				{
					
					 while($rt2 = mysqli_fetch_assoc($re2))
					 {
							
						 $documentmid=$rt2['documentmid'];
						$eve3 = "select * from res_inquirydocs_master where idmid=$documentmid";
						$re3 = mysqli_query($conn, $eve3);
						$countryname='';
						if(mysqli_num_rows($re3) > 0)
						{
							
							 while($rt3 = mysqli_fetch_assoc($re3))
							 {
									
								$idmname=$rt3['idmname'];
							 }
						}
						if($documentname != '')
						{
						$documentname = $documentname.",".$idmname;
						}else{
							$documentname = $idmname;
						}
					 }
				}
				
				
				$eve1 = "select * from res_country_master where countrymid=$countrymid";
				$re1 = mysqli_query($conn, $eve1);
				$countryname='';
				if(mysqli_num_rows($re1) > 0)
				{
					
					 while($rt1 = mysqli_fetch_assoc($re1))
					 {
							
						$countryname=$rt1['countryname'];
					 }
				}
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'documentname'=> $documentname, 'country'=> $countryname);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>